digiKam Developer Documentation: Digikam::DDateTimeEdit Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::DDateTimeEdit Class Reference

This class is basically the same as the KDE Date Time widget with the exception that a QTimeEdit is placed directly besides it.

Inheritance diagram for Digikam::DDateTimeEdit:

## Signals
void | dateTimeChanged (const QDateTime &dateTime)
| This signal is emitted whenever the user modifies the date or time.

## Public Member Functions
| DDateTimeEdit (QWidget *const parent, const QString &name)
| Constructor.
| ~DDateTimeEdit () override
| Destructor.
QDateTime | dateTime () const
| Return the date and time.
void | setDateTime (const QDateTime &dateTime)
| Sets the date and the time of this widget.
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Additional Inherited Members
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override

## Constructor & Destructor Documentation

## ◆ DDateTimeEdit()

Digikam::DDateTimeEdit::DDateTimeEdit | ( | QWidget *const | parent,
|  | const QString & | name
| ) |  |
| explicit

Parameters

  parent | the parent widget
  name | the name of the widget

## Member Function Documentation

## ◆ dateTime()

QDateTime Digikam::DDateTimeEdit::dateTime | ( |  | ) | const

Returns
  a QDateTime with the currently chosen date and time

## ◆ dateTimeChanged

void Digikam::DDateTimeEdit::dateTimeChanged | ( | const QDateTime & | dateTime | ) |
| signal

The passed date and time can be invalid.